%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_incdir %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")

Summary: Python wrapper for the Ogg libraries
Name: python-ogg
Version: 1.3
Release: 15
License: LGPLv2
Group: Development/Languages
URL: http://ekyo.nerim.net/software/pyogg/
Source: http://ekyo.nerim.net/software/pyogg/pyogg-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildRequires: libogg-devel

%description
An object-oriented Python binding for the Ogg libraries. Ogg is a
multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg format.


%package devel
Summary: Development files for the Ogg libraries Python wrapper
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python-devel, libogg-devel

%description devel
This package contains development files required to build applications which
will use python-ogg, a Python wrapper for the Ogg libraries.


%prep
%setup -q -n pyogg-%{version}


%build
%{__python} config_unix.py
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/ogg/
%{python_sitearch}/pyogg-*.egg-info

%files devel
%defattr(-,root,root,-)
%dir %{python_incdir}/pyogg
%{python_incdir}/pyogg/pyogg.h


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.3-14
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  1 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.3-12
- Fix unowned headers directory (#483470).

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3-10
- Rebuild for Python 2.6

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 1.3-9
- Include new egg file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.3-7
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 1.3-6
- Update License field.
- Remove dist tag, since the package will seldom change.

* Fri Mar  2 2007 Matthias Saou <http://freshrpms.net/> 1.3-5
- Use new URL and source location.
- Add python-devel requirement to the devel since it #includes Python.h.
- Remove no longer needed explicit python-abi requirement.
- Simplify %%files section.
- Spec file (quick) re-review and cleanup following ownership change.

* Fri Dec 22 2006 Jef Spaleta <jspaleta@gmail.com> 1.3-4
- Rebuilt for python 2.5 in development tree

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-3
- Rebuilt for FC6
- Not excluding pyo files with ghost per Guidelines

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-2
- Forked the package with a -devel one including the header.

* Fri May 19 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-1
- Initial RPM release

